import select
import socket
import time
import sys

from struct import *

HOST = "192.168.168.230"    # To loopback to python server use 127.0.0.1
PORT = 10000                # Port used by server

message = input("Enter the server port: ")
try:
    number = int(message)
    PORT = number
except ValueError:
    print("Error: The message is not a valid integer, using default port: ", PORT)

print("Start")

s = socket.socket()
s.connect((HOST, PORT))

print("Connected")

# First data to be received after connection is 1x 4 byte integare that tells the payload size for all future packets
payloadSizeBytes = s.recv(4)
payloadSize = int.from_bytes(payloadSizeBytes, "little")

packetNum = 0

while True: 
   
    data = s.recv(payloadSize)

    if len(data) != payloadSize:
        print("len(data) = %d, payloadSize = %d" % (len(data), payloadSize))
        print("")

    if data == "":
        s.close()
        print("Connection Closed")
        exit(0)
    else:

        unpackedDataTuple = unpack("<3sI16B", data)
        framePrefix = unpackedDataTuple[0]
        packetNum = unpackedDataTuple[1]

        if packetNum is 0:
            print("Something wrong?")
            
        print("Msg: %s Recived PacketNum: %d" % (framePrefix, packetNum))

    #time.sleep(0.1)